// Shop.h: interface for the Shop class.
//
//////////////////////////////////////////////////////////////////////

#pragma warning(disable:4786)
#include <string.h>
#include <vector>
#include "BuyType.h"

#if !defined(AFX_SHOP_H__3512E4D3_2E08_47A6_BD2C_09C950E1B524__INCLUDED_)
#define AFX_SHOP_H__3512E4D3_2E08_47A6_BD2C_09C950E1B524__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class Shop  
{
public:
	bool write_shop(CircleFile *cfile);
	bool delete_buy(string x);
	bool delete_room(string x);
	bool delete_item(string x);
	void bitvector2ascii(char *output, int bitvector);
	int ascii2bitvector(const char *input);
	int load_shop(CircleFile *cf);
	int zone;
	int number;
	Shop();
	virtual ~Shop();
    vector<int> item_list;
	vector<BuyType> buy_list;
	vector<int> room_list;
	float profits;
	float profitb;
    string messages[7];
	int temper;
	int bitvector;
	int mob_num;
	int with_who;
	int time[4];
};

#endif // !defined(AFX_SHOP_H__3512E4D3_2E08_47A6_BD2C_09C950E1B524__INCLUDED_)
